Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coval.dev/v1/simulations/{simulation_id} \ --header 'X-API-Key: <api-key>'
{ "simulation": { "name": "simulations/abc123xyz789", "simulation_id": "abc123xyz789", "run_id": "abc123xyz789", "status": "COMPLETED", "create_time": "2025-10-14T12:00:00Z", "has_audio": true, "agent_id": "gk3jK9mPq2xRt5vW8yZaBc", "persona_id": "hL4kL0nQr3ySt6vX9zAcDd", "test_set_id": "aB1cD2eF", "test_case_id": "test_xyz123", "error_message": "Simulation failed to run.", "mutation_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "mutation_name": "GPT-4 Fast VAD", "transcript": [ { "role": "assistant", "content": "Hello! How can I help you today?", "start_timestamp": "0.0", "end_timestamp": "2.5", "start_offset": 0, "end_offset": 2500 } ] } }
Get a simulation by ID.
API key for authentication.
The simulation ID
22 - 27
Simulation resource
Show child attributes
Was this page helpful?